## stun 0.97~dfsg

=== Makefile ===


TARS= client.cxx  server.cxx  stun.cxx  stun.h  tlsServer.cxx  udp.cxx  udp.h \
	Makefile rfc3489.txt\
	client.sln  client.vcproj  server.sln  server.vcproj  Stun.sln \
	id.pem id_key.pem root.pem \
	nattestwarning.txt nattest wnattest.bat \
	WinStun/resource.h WinStun/stdafx.cpp WinStun/stdafx.h \
	WinStun/WinStun.cpp WinStun/WinStunDlg.cpp WinStun/WinStunDlg.h WinStun/WinStun.h \
	WinStun/WinStun.rc WinStun/WinStun.vcproj \
	WinStun/res/WinStun.ico WinStun/res/WinStun.manifest WinStun/res/WinStun.rc2 \
	WinStunSetup/WinStunSetup.vdproj

# if you chnage this version, change in stun.h too 
VERSION=0.96

#CXXFLAGS+=-O2
#LDFLAGS+=-O2 -lssl
STUNLIB=libstun.a

#
# Alternatively, for debugging.
#
CXXFLAGS+=-g -O -Wall
LDFLAGS+=-g -O -Wall
# for solaris
#LDFLAGS+= -lnsl -lsocket


all: server client 

clean:
	- rm *.o server client tlsServer 

tar: $(TARS)
	cd ..; tar cvfz `date +"stund/stund_$(VERSION)_$(PROG)%b%d.tgz"` \
			 $(addprefix stund/, $(TARS))

server: server.o stun.o udp.o 
	$(CXX) $(LDFLAGS) -o $@  $^

tlsServer: tlsServer.o stun.o udp.o
	$(CXX) $(LDFLAGS) -o $@  $^

client: client.o stun.o udp.o 
	$(CXX) $(LDFLAGS) -o $@  $^

%.o:%.cxx
	$(CXX)  -c $(CPPFLAGS) $(CXXFLAGS) $< -o $@

libstun.a: stun.o udp.o
	ar rv $@ $<

%:RCS/%
	co $@

# Dependancies
server.o: stun.h udp.h 
client.o: stun.h udp.h 
stun.o: stun.h udp.h
udp.o: stun.h udp.h 
tlsServer.o: stun.h udp.h

=== debian/changelog ===
stun (0.97~dfsg-3) unstable; urgency=medium

  * Team upload
  * d/copyright: Convert to machine-readable format
  * fix lintian: cute-field
  * Apply newer debhelper level
  * fix lintian: trailing-whitespace
  * fix lintian: missing-explanation-for-repacked-upstream-tarball
  * Rewrite repack rules with Files-Excluded

  [ Victor Seva ]
  * upgrade Uploaders (Closes: #862627), VCS links and wrap-and-sort

 -- Bastian Germann <bage@debian.org>  Sat, 13 Apr 2024 11:52:55 +0000

stun (0.97~dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add breaks and replaces stun (<< 0.97~dfsg-1).  Closes: #788470.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 14 Feb 2016 19:20:14 +0100

stun (0.97~dfsg-2) unstable; urgency=medium

  * Fix init script PID file location and make variable handling somewhat more
    robust

 -- Kilian Krause <kilian@debian.org>  Mon, 22 Dec 2014 01:22:05 +0100

stun (0.97~dfsg-1) unstable; urgency=medium

  * New upstream version
  * stun-0.96.dfsg-xor-mapped-address: Fix stun.h following newer RFC 3489
    update. Thanks to Dr. Sebastian Kiesel!
  * Bump compat level to 9 and use new 3.0 quilt format rather than dpatch
  * debian/rules: Update to dh-style and introduce get-orig-source target
  * debian/patches/daemon_noverbose.patch: Removed. Incorporated upstream.
  * debian/patches/fix_non_i386.patch: Disable - seems fixed upstream
  * Fix purge issue when no IPs are configured (Closes: #663682)
  * Pull apart server and client (Closes: #676933)
  * Increase timeout from 1 ms to 1s in stun.cxx (Closes: #645671)
  * Ignore error in stop, i.e. daemon already shut down (Closes: #645948)
  * Update get-orig-source to remove all .svn and rfc*
  * Add Description to init script
  * Update init.d script to provide itself and depend on remote_fs
  * Source /lib/lsb/init-functions in init script
  * Update Vcs-Svn and Vcs-Browser URI in debian/control

 -- Kilian Krause <kilian@debian.org>  Sun, 21 Dec 2014 23:45:36 +0100

stun (0.96.dfsg-6) unstable; urgency=low

  [ Kilian Krause ]
  * Add Homepage field as added in dpkg-dev 1.14.6. (Closes: #620342, #615190)
  * Fixed debian/watch file.
  * Add status option to init file (Closes: #493970)

  [ Patrick Matthäi ]
  * Fixed spelling error in debian/changelog: s/standart/standard/.
    Thanks lintian.

 -- Kilian Krause <kilian@debian.org>  Tue, 24 May 2011 13:49:32 +0200

stun (0.96.dfsg-5) unstable; urgency=low

  * added manpage for stun and stund (Closes: #425827)
  * update init.d to complain with LSB
  * Bumped Debian policy standard to 3.7.2
    + compat set to 5
    + debhelper version raised
    + de-ignoring output from make distclean
  * Homepage added to debian/control
  * Added myself to Uploaders field
  * #DEBHELPER# token set to debian/stun.prerm

 -- Rene Mayorga <rmayorga@debian.org.sv>  Sat,  6 Jan 2007 22:57:01 +0100

stun (0.96.dfsg-4) unstable; urgency=low

  * Fix startup again. (Closes: #388037)

 -- Kilian Krause <kilian@debian.org>  Sat,  6 Jan 2007 22:53:52 +0100

stun (0.96.dfsg-3) unstable; urgency=high

  * Fix installation and don't try to forcibly start daemon 
    (Closes: #388037, #397074)

 -- Kilian Krause <kilian@debian.org>  Wed,  3 Jan 2007 20:44:06 +0100

stun (0.96.dfsg-2) unstable; urgency=low

  [ Mark Purcell ]
  * Add debian/README.Debian (Closes: Bug#369570)

  [ Kilian Krause ]
  * Use correct user to start/stop daemon. (Closes: #384113) 

 -- Kilian Krause <kilian@debian.org>  Sun, 22 Oct 2006 14:48:48 +0200

stun (0.96.dfsg-1) unstable; urgency=low

  * Initial Release.

 -- Kilian Krause <kilian@debian.org>  Mon,  2 Jan 2006 23:51:48 +0100

=== debian/control ===
Source: stun
Section: net
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>
Build-Depends: dpkg-build-api (= 1),
               debhelper-compat (= 12)
Standards-Version: 3.7.2
Homepage: http://sourceforge.net/projects/stun/
Vcs-Git: https://salsa.debian.org/pkg-voip-team/stun.git
Vcs-Browser: https://salsa.debian.org/pkg-voip-team/stun

Package: stun-server
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: stun-client
Replaces: stun (<< 0.97~dfsg-1)
Breaks: stun (<< 0.97~dfsg-1)
Provides: stun
Description: Server daemon for STUN
 The STUN protocol (Simple Traversal of UDP through NATs) is described in the
 IETF RFC 3489, available at http://www.ietf.org/rfc/rfc3489.txt.  It's used to
 help clients behind NAT to tunnel incoming calls through. This server is the
 counterpart to help the client identify the NAT and have it open the proper
 ports for it.
 .
 This package installs only the server part

Package: stun-client
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Replaces: stun (<< 0.97~dfsg-1)
Breaks: stun (<< 0.97~dfsg-1)
Suggests: stun-server
Description: Test client for STUN
 The STUN protocol (Simple Traversal of UDP through NATs) is described in the
 IETF RFC 3489, available at http://www.ietf.org/rfc/rfc3489.txt.  It's used to
 help clients behind NAT to tunnel incoming calls through. This server is the
 counterpart to help the client identify the NAT and have it open the proper
 ports for it.
 .
 This package installs only the client.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

override_dh_install:
	# we want to change the names too!
	install -m 755 server $(CURDIR)/debian/stun-server/usr/sbin/stund
	install -m 755 client $(CURDIR)/debian/stun-client/usr/bin/stun
	#install -m 755 tlsServer $(CURDIR)/debian/stun/usr/sbin/
	dh_install

override_dh_installinit:
	dh_installinit --name=stun

=== debian/watch ===
version=4
opts=dversionmangle=auto,repacksuffix=~dfsg \
   http://sf.net/stun/stund[_-]([\d\.]+)\.tgz
